Index: /palm/trunk/DOC/tec/message_identifiers
===================================================================
--- /palm/trunk/DOC/tec/message_identifiers	(revision 273)
+++ /palm/trunk/DOC/tec/message_identifiers	(revision 274)
@@ -213,5 +213,5 @@
     PA0137            mixing_length_1d = "..." is unknown
     PA0138            dissipation_1d = "..." is unknown
-    PA0139            termination_time_needed = ...  must be > 30.0 on host ..."
+    PA0139            termination_time_needed = ...  must be > 30.0 on host ...
     PA0140            termination_time_needed = ... should be >= 300.0 
                        on host "..."     
@@ -234,5 +234,6 @@
                        but one of them must be .FALSE.
     PA0151            dp_level_b = ... is out of range
-    PA0152            dp_external is .TRUE. but dpdxy is zero, i.e. the external 
+    PA0152            dp_external is .TRUE. but dpdxy is zero, 
+                       i.e. the external 
                        pressure gradient will not be applied
     PA0153            dpdxy is nonzero but dp_external is .FALSE., i.e. the 
@@ -241,8 +242,9 @@
     PA0155            noncyclic boundary conditions require
                        conserve_volume_flow_mode = ''inflow_profile''
-    PA0156            cyclic boundary conditions require conserve_volume_flow_mode =
-                       ''initial_profiles'' or ''bulk_velocity''
-                       requires noncyclic boundary conditions
-    PA0157            nonzero bulk velocity requires conserve_volume_flow = .T. and 
+    PA0156            cyclic boundary conditions require 
+                       conserve_volume_flow_mode = ''initial_profiles'' or 
+                       ''bulk_velocity'' requires noncyclic boundary conditions
+    PA0157            nonzero bulk velocity requires 
+                       conserve_volume_flow = .T. and 
                        conserve_volume_flow_mode = ''bulk_velocity''
     PA0158            no vertical boundary condition for variable "..." 
@@ -262,5 +264,6 @@
     PA0166            re-opening of file-id ... is not allowed
     PA0167            opening file-id ... not allowed for PE ...
-    PA0168            opening file-id ... is not allowed since it is used otherwise
+    PA0168            opening file-id ... is not allowed since it is used 
+                       otherwise
     PA0169            no filename for AVS-data-file found in MRUN-config-file 
                        filename in FLD-file set to "unknown"
@@ -285,5 +288,6 @@
     PA0184            if cloud_physics = FALSE output of ... is not provided
     PA0185            data_output_profiles: normalizing cross ... 
-                       is not possible since one of the normalizing factors is zero! 
+                       is not possible since one of the normalizing factors 
+                       is zero! 
                        cross_normx_factor(...,...) = ... 
                        cross_normy_factor(...,...) = ...
@@ -298,5 +302,6 @@
     PA0193            unknown initializing problem
     PA0194            number of time series quantities exceeds its maximum 
-                       of dots_max = ... Please increase dots_max in modules.f90.
+                       of dots_max = ... Please increase dots_max in 
+                       modules.f90.
     PA0195            dvrp_username is undefined
     PA0196            dvrp_output="..." not allowed
@@ -341,6 +346,6 @@
     PA0219            unknown boundary condition bc_par_lr = "..."
     PA0220            unknown boundary condition bc_par_ns = "..."
-    PA0221            number of PEs of the prescribed topology (...) does not match 
-                       the number of PEs available to the job ()
+    PA0221            number of PEs of the prescribed topology (...) does not 
+                       match the number of PEs available to the job ()
     PA0222            if the processor topology is prescribed by the user,
                        both values of "npex" and "npey" must be given
@@ -373,5 +378,6 @@
     PA0235            mg_switch_to_pe0_level out of range and reset to 
                        default (=0)      
-    PA0236            not enough memory for storing gathered multigrid data on PE0
+    PA0236            not enough memory for storing gathered multigrid data 
+                       on PE0
     PA0237             multigrid gather/scatter impossible in non parallel mode
     PA0238            more than 10 multigrid levels
@@ -390,5 +396,6 @@
     PA0244            no grid defined for variable ...
     PA0245            NetCDF file for volume data ... from previuos run found,
-                       but this file cannot be extended due to  variable mismatch. 
+                       but this file cannot be extended due to variable
+                       mismatch. 
                        New file is created instead.
     PA0246            NetCDF file for volume data ... from previuos run found,
@@ -402,32 +409,32 @@
     PA0248            NetCDF file for volume data ... from previous run found.
                        This file will be extended.
-    PA0249            NetCDF file for cross-sections ... from previuos run found,
-                       but this file cannot be extended due to variable mismatch.
-                       New file is created instead.
-    PA0250            NetCDF file for cross-sections ... from previuos run found,
-                       but this file cannot be extended due to mismatch in 
-                       number of cross sections. New file is created instead.
-    PA0251            NetCDF file for cross-sections ... from previuos run found
-                      but this file cannot be extended due to mismatch in cross
-                       section levels. New file is created instead.
-    PA0252            NetCDF file for cross sections ... from previuos run found,
-                       but this file cannot be extended because the current 
-                       output time is less or equal than the last output time 
-                       on this file.
-                       New file is created instead.
-    PA0253            NetCDF file for cross-sections ... from previous run found. 
-                       This file will be extended.
-    PA0254            NetCDF file for vertical profiles from previuos run found,
-                       but this file cannot be extended due to variable mismatch.
-                       New file is created instead. 
-    PA0255            NetCDF file for vertical profiles from previuos run found,
-                       but this file cannot be extended because the current 
-                       output time is less or equal than the last output time 
-                       on this file. New file is created instead.
-    PA0256            NetCDF file for vertical profiles from previous run found.
-                       This file will be extended.
+    PA0249            NetCDF file for cross-sections ... from previuos run 
+                       found, but this file cannot be extended due to 
+                       variable mismatch. New file is created instead.
+    PA0250            NetCDF file for cross-sections ... from previuos run 
+                       found, but this file cannot be extended due to
+                       mismatch in  number of cross sections. New file 
+                       is created instead.
+    PA0251            NetCDF file for cross-sections ... from previuos run 
+                       found but this file cannot be extended due to mismatch 
+                       in cross section levels. New file is created instead.
+    PA0252            NetCDF file for cross sections ... from previuos run 
+                       found, but this file cannot be extended because the 
+                       current output time is less or equal than the last 
+                       output time on this file. New file is created instead.
+    PA0253            NetCDF file for cross-sections ... from previous run 
+                       found. This file will be extended.
+    PA0254            NetCDF file for vertical profiles from previuos run 
+                       found, but this file cannot be extended due to variable
+                       mismatch. New file is created instead. 
+    PA0255            NetCDF file for vertical profiles from previuos run 
+                       found, but this file cannot be extended because the 
+                       current output time is less or equal than the last 
+                       output time on this file. New file is created instead.
+    PA0256            NetCDF file for vertical profiles from previous run 
+                       found. This file will be extended.
     PA0257            NetCDF file for time series from previuos run found
-                       but this file cannot be extended due tovariable mismatch. 
-                       New file is created instead.
+                       but this file cannot be extended due tovariable 
+                       mismatch. New file is created instead.
     PA0258            NetCDF file for time series from previuos run found,
                        but this file cannot be extended because the current 
@@ -437,6 +444,6 @@
                        This file will be extended.
     PA0260            NetCDF file for spectra from previuos run found, 
-                       but this file cannot be extended due to variable mismatch.
-                       New file is created instead.
+                       but this file cannot be extended due to variable 
+                       mismatch. New file is created instead.
     PA0261            NetCDF file for spectra from previuos run found, 
                        but this file cannot be extended due to mismatch in 
@@ -457,13 +464,13 @@
     PA0266            NetCDF file for particles from previous run found. 
                        This file will be extended.
-    PA0267            NetCDF file for particle time series from previuos run found,
-                       but this file cannot be extended due to variable mismatch. 
-                       New file is created instead.
-    PA0268            NetCDF file for particle time series from previuos run found, 
-                       but this file cannot be extended because the current 
-                       output time is less or equal than the last output time 
-                       on this file. New file is created instead.
-    PA0269            NetCDF file for particle time series from previous run found.
-                       This file will be extended.
+    PA0267            NetCDF file for particle time series from previuos run 
+                       found, but this file cannot be extended due to 
+                       variable mismatch. New file is created instead.
+    PA0268            NetCDF file for particle time series from previuos run 
+                       found, but this file cannot be extended because the 
+                       current output time is less or equal than the last 
+                       output time on this file. New file is created instead.
+    PA0269            NetCDF file for particle time series from previous run 
+                       found. This file will be extended.
     PA0270            mode "..." not supported
     PA0271            errors in \$inipar &or no \$inipar-namelist found 
@@ -556,5 +563,5 @@
     PA0311            number of gridpoints along x or/and y contain illegal  
                        factors only factors 8,6,5,4,3,2 are allowed
-    PA0312            Time step has reached minimum limit.',        &
+    PA0312            Time step has reached minimum limit.
                        dt      = ... s  Simulation is terminated. 
                        old_dt  = ... s                           
@@ -589,2 +596,12 @@
                        run on PE
     
+
+
+   internal assigned error numbers (errno) for the call of the subroutine
+   "handle_netcdf_error": 
+
+    assigned               free
+       1 -  346             347
+     348 -  375             376
+     377 -  428             386
+    1009 - 1010
Index: /palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- /palm/trunk/SOURCE/advec_particles.f90	(revision 273)
+++ /palm/trunk/SOURCE/advec_particles.f90	(revision 274)
@@ -319,5 +319,5 @@
                                       ( rho_surface * dx * dy * dz )
           IF ( ql_c(k,j,i) > 100.0 )  THEN
-             WRITE( message_string, * ) 'k=',k,' j=',j,' i=',i, &
+             WRITE( message_string, * ) 'k=',k,' j=',j,' i=',i,      &
                           ' ql_c=',ql_c(k,j,i), ' &part(',n,')%wf=', &
                           particles(n)%weight_factor,' delta_r=',delta_r
@@ -329,6 +329,6 @@
           IF ( ( new_r - particles(n)%radius ) < 0.0  .AND.  new_r < 0.0 ) &
           THEN
-             WRITE( message_string, * ) '#1 k=',k,' j=',j,' i=',i, &
-                          ' e_s=',e_s, ' e_a=',e_a,' t_int=',t_int, &
+             WRITE( message_string, * ) '#1 k=',k,' j=',j,' i=',i,   &
+                          ' e_s=',e_s, ' e_a=',e_a,' t_int=',t_int,  &
                           ' &d_radius=',d_radius,' delta_r=',delta_r,&
                           ' particle_radius=',particles(n)%radius
@@ -424,7 +424,8 @@
                            effective_coll_efficiency < 0.0 )     &
                       THEN
-                         WRITE( message_string, * )   'collision_efficiency ' , &
-                                   'out of range:' ,effective_coll_efficiency
-                         CALL message( 'advec_particles', 'PA0145', 2, 2, 0, 6, 0 )
+                         WRITE( message_string, * ) 'collision_efficiency ' , &
+                                   'out of range:', effective_coll_efficiency
+                         CALL message( 'advec_particles', 'PA0145', &
+                                       2, 2, 0, 6, 0 )
                       END IF
 
@@ -1920,6 +1921,6 @@
                maximum_number_of_particles  )  THEN
              IF ( netcdf_output )  THEN
-                message_string = 'maximum_number_of_particles ' // &
-                                 'needs to be increased ' // &
+                message_string = 'maximum_number_of_particles ' //   &
+                                 'needs to be increased ' //         &
                                  '&but this is not allowed with ' // &
                                  'NetCDF output switched on'
@@ -1940,6 +1941,6 @@
                   maximum_number_of_tails  )  THEN
                 IF ( netcdf_output )  THEN
-                   message_string = 'maximum_number_of_tails ' // &
-                                    'needs to be increased ' // &
+                   message_string = 'maximum_number_of_tails ' //    &
+                                    'needs to be increased ' //      &
                                     '&but this is not allowed wi' // &
                                     'th NetCDF output switched on'
@@ -2325,6 +2326,6 @@
           THEN
              IF ( netcdf_output )  THEN
-                 message_string = 'maximum_number_of_particles ' // &
-                                  'needs to be increased ' // &
+                 message_string = 'maximum_number_of_particles ' //    &
+                                  'needs to be increased ' //          &
                                   '&but this is not allowed with ' //  &
                                   'NetCDF output switched on'
@@ -2353,6 +2354,6 @@
              THEN
                 IF ( netcdf_output )  THEN
-                   message_string = 'maximum_number_of_tails ' // &
-                                    'needs to be increased ' // &
+                   message_string = 'maximum_number_of_tails ' //   &
+                                    'needs to be increased ' //     &
                                     '&but this is not allowed wi'// &
                                     'th NetCDF output switched on'
@@ -2402,6 +2403,6 @@
           THEN
              IF ( netcdf_output )  THEN
-                message_string = 'maximum_number_of_particles ' // &
-                                 'needs to be increased ' // &
+                message_string = 'maximum_number_of_particles ' //  &
+                                 'needs to be increased ' //        &
                                  '&but this is not allowed with '// &
                                  'NetCDF output switched on'
@@ -2430,6 +2431,6 @@
              THEN
                 IF ( netcdf_output )  THEN
-                   message_string = 'maximum_number_of_tails ' // &
-                                    'needs to be increased ' // &
+                   message_string = 'maximum_number_of_tails ' //   &
+                                    'needs to be increased ' //     &
                                     '&but this is not allowed wi'// &
                                     'th NetCDF output switched on'
@@ -2766,6 +2767,6 @@
           THEN
              IF ( netcdf_output )  THEN
-                message_string = 'maximum_number_of_particles ' // &
-                                 'needs to be increased ' // &
+                message_string = 'maximum_number_of_particles ' //  &
+                                 'needs to be increased ' //        &
                                  '&but this is not allowed with '// &
                                  'NetCDF output switched on'
@@ -2794,6 +2795,6 @@
              THEN
                 IF ( netcdf_output )  THEN
-                   message_string = 'maximum_number_of_tails ' // &
-                                    'needs to be increased ' // &
+                   message_string = 'maximum_number_of_tails ' //    &
+                                    'needs to be increased ' //      &
                                     '&but this is not allowed wi' // &
                                     'th NetCDF output switched on'
@@ -2843,6 +2844,6 @@
           THEN
              IF ( netcdf_output )  THEN
-                message_string = 'maximum_number_of_particles ' // &
-                                 'needs to be increased ' // &
+                message_string = 'maximum_number_of_particles ' //   &
+                                 'needs to be increased ' //         &
                                  '&but this is not allowed with ' // &
                                  'NetCDF output switched on'
@@ -2871,6 +2872,6 @@
              THEN
                 IF ( netcdf_output )  THEN
-                   message_string = 'maximum_number_of_tails ' // &
-                                    'needs to be increased ' // &
+                   message_string = 'maximum_number_of_tails ' //   &
+                                    'needs to be increased ' //     &
                                     '&but this is not allowed wi'// &
                                     'th NetCDF output switched on'
@@ -3661,5 +3662,5 @@
     CALL handle_netcdf_error( 'output_particles_netcdf', 12 )
 
-    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(11), particles%x,           &
+    nc_stat = NF90_PUT_VAR( id_set_prt, id_var_prt(11), particles%x,          &
                             start = (/ 1, prt_time_count /),                  &
                             count = (/ maximum_number_of_particles /) )
@@ -3896,7 +3897,7 @@
             k > nzt )  THEN
           WRITE( message_string, * ) ' particle out of range: i=', i, ' j=', &
-                          j, ' k=', k, &
-                          ' &nxl=', nxl, ' nxr=', nxr, &
-                          ' nys=', nys, ' nyn=', nyn, &
+                          j, ' k=', k,                                       &
+                          ' &nxl=', nxl, ' nxr=', nxr,                       &
+                          ' nys=', nys, ' nyn=', nyn,                        &
                           ' nzb=', nzb, ' nzt=', nzt
          CALL message( 'sort_particles', 'PA0149', 1, 2, 0, 6, 0 ) 
Index: /palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/calc_spectra.f90	(revision 273)
+++ /palm/trunk/SOURCE/calc_spectra.f90	(revision 274)
@@ -85,5 +85,5 @@
           IF ( bc_lr /= 'cyclic' )  THEN
 
-             message_string = 'non-cyclic lateral boundaries along x do not ' // &
+             message_string = 'non-cyclic lateral boundaries along x do not'// &
                               '& allow calculation of spectra along x'
              CALL message( 'calc_spectra', 'PA0160', 1, 2, 0, 6, 0 )
@@ -100,6 +100,6 @@
           CALL calc_spectra_x( d, pr, m )
 #else
-          message_string = 'sorry, calculation of spectra in non parallel mode' // &
-                           '& is still not realized'
+          message_string = 'sorry, calculation of spectra in non parallel ' // &
+                           'mode& is still not realized'
           CALL message( 'calc_spectra', 'PA0161', 1, 2, 0, 6, 0 )      
 #endif
@@ -116,6 +116,6 @@
           IF ( bc_ns /= 'cyclic' )  THEN
              IF ( myid == 0 )  THEN
-                message_string = 'non-cyclic lateral boundaries along y do not ' // &
-                                 '& allow calculation of spectra along y' 
+                message_string = 'non-cyclic lateral boundaries along y do' // &
+                                 ' not & allow calculation of spectra along y' 
                 CALL message( 'calc_spectra', 'PA0162', 1, 2, 0, 6, 0 )
              ENDIF
@@ -129,6 +129,6 @@
           CALL calc_spectra_y( d, pr, m )
 #else
-          message_string = 'sorry, calculation of spectra in non parallel mode' // &
-                           '& is still not realized'
+          message_string = 'sorry, calculation of spectra in non parallel' // &
+                           'mode& is still not realized'
           CALL message( 'calc_spectra', 'PA0161', 1, 2, 0, 6, 0 )
 #endif
Index: /palm/trunk/SOURCE/check_for_restart.f90
===================================================================
--- /palm/trunk/SOURCE/check_for_restart.f90	(revision 273)
+++ /palm/trunk/SOURCE/check_for_restart.f90	(revision 274)
@@ -69,8 +69,8 @@
 !-- Output that job will be terminated
     IF ( terminate_run  .AND.  myid == 0 )  THEN
-       WRITE( message_string, * ) 'run will be terminated because it is running', &
-                                  ' out of job cpu limit & ', &
-                                  'remaining time:         ', remaining_time, ' s', &
-                                  'termination time needed:', termination_time_needed, ' s'
+       WRITE( message_string, * ) 'run will be terminated because it is ', &
+                       'running out of job cpu limit & ',                  &
+                       'remaining time:         ', remaining_time, ' s',   &
+                       'termination time needed:', termination_time_needed, ' s'
        CALL message( 'check_for_restart', 'PA0163', 0, 1, 0, 6, 0 )
     ENDIF
@@ -113,8 +113,8 @@
 
           WRITE( message_string, * ) 'run will be terminated due to user ', &
-                                     'settings of', &
-                                     '&restart_time / dt_restart',&
-                                     '&new restart time is: ', time_restart, ' s' 
-          CALL message( 'check_for_restart', 'PA0164', 0, 0, 0, 6, 0 )                      
+                                  'settings of',                            &
+                                  '&restart_time / dt_restart',             &
+                                  '&new restart time is: ', time_restart, ' s' 
+          CALL message( 'check_for_restart', 'PA0164', 0, 0, 0, 6, 0 )
  
 !
Index: /palm/trunk/SOURCE/check_open.f90
===================================================================
--- /palm/trunk/SOURCE/check_open.f90	(revision 273)
+++ /palm/trunk/SOURCE/check_open.f90	(revision 274)
@@ -102,5 +102,5 @@
              IF ( file_id == 14 .AND. openfile(file_id)%opened_before )  THEN
                 message_string = 're-open of unit ' // &
-                                 ' 14 is not verified. Please check results!'
+                                 '14 is not verified. Please check results!'
                 CALL message( 'check_open', 'PA0165', 0, 1, 0, 6, 0 )       
              ENDIF
@@ -108,5 +108,5 @@
           CASE DEFAULT
              WRITE( message_string, * ) 're-opening of file-id ', file_id, &
-                                           ' is not allowed'
+                                        ' is not allowed'
              CALL message( 'check_open', 'PA0166', 0, 1, 0, 6, 0 )    
                
@@ -144,5 +144,5 @@
 !--       File-ids that are used temporarily in other routines
           WRITE( message_string, * ) 'opening file-id ',file_id, &
-                                     ' is not allowed since it is used otherwise'
+                                    ' is not allowed since it is used otherwise'
           CALL message( 'check_open', 'PA0168', 0, 1, 0, 6, 0 ) 
           
@@ -405,6 +405,6 @@
                 IF ( .NOT. avs_coor_file_found  .OR. &
                      .NOT. avs_data_file_found )  THEN
-                   message_string= 'no filename for AVS-data-file ' // &
-                                   'found in MRUN-config-file' // &
+                   message_string= 'no filename for AVS-data-file ' //       &
+                                   'found in MRUN-config-file' //            &
                                    ' &filename in FLD-file set to "unknown"'
                    CALL message( 'check_open', 'PA0169', 0, 1, 0, 6, 0 )
@@ -725,5 +725,6 @@
                                        id_set_xy(av) )
 #else
-                message_string = 'NetCDF: no 64-bit offset allowed on this machine'
+                message_string = 'NetCDF: no 64-bit offset allowed ' // &
+                                 'on this machine'
                 CALL message( 'check_open', 'PA0171', 0, 1, 0, 6, 0 )
 
@@ -786,5 +787,6 @@
                                        id_set_xz(av) )
 #else
-                message_string = 'NetCDF: no 64-bit offset allowed on this machine'
+                message_string = 'NetCDF: no 64-bit offset allowed ' // & 
+                                 'on this machine'
                 CALL message( 'check_open', 'PA0171', 0, 1, 0, 6, 0 )
          
@@ -847,5 +849,6 @@
                                        id_set_yz(av) )
 #else
-                message_string = 'NetCDF: no 64-bit offset allowed on this machine'
+                message_string = 'NetCDF: no 64-bit offset allowed ' // & 
+                                 'on this machine'
                 CALL message( 'check_open', 'PA0171', 0, 1, 0, 6, 0 )
                 
@@ -902,5 +905,6 @@
                                        id_set_pr )
 #else 
-                message_string = 'NetCDF: no 64-bit offset allowed on this machine'
+                message_string = 'NetCDF: no 64-bit offset allowed ' // & 
+                                 'on this machine'
                 CALL message( 'check_open', 'PA0171', 0, 1, 0, 6, 0 )
                 
@@ -957,5 +961,6 @@
                                        id_set_ts )
 #else 
-                message_string = 'NetCDF: no 64-bit offset allowed on this machine'
+                message_string = 'NetCDF: no 64-bit offset allowed ' // &
+                                 'on this machine'
                 CALL message( 'check_open', 'PA0171', 0, 1, 0, 6, 0 )
                 
@@ -1019,5 +1024,6 @@
                                        id_set_3d(av) )
 #else 
-                message_string = 'NetCDF: no 64-bit offset allowed on this machine'
+                message_string = 'NetCDF: no 64-bit offset allowed ' // &
+                                 'on this machine'
                 CALL message( 'check_open', 'PA0171', 0, 1, 0, 6, 0 )
                 
@@ -1076,5 +1082,6 @@
                                        id_set_sp )
 #else 
-                message_string = 'NetCDF: no 64-bit offset allowed on this machine'
+                message_string = 'NetCDF: no 64-bit offset allowed ' // & 
+                                 'on this machine'
                 CALL message( 'check_open', 'PA0171', 0, 1, 0, 6, 0 )
                
@@ -1152,5 +1159,6 @@
                                        id_set_prt )
 #else
-                message_string = 'NetCDF: no 64-bit offset allowed on this machine'
+                message_string = 'NetCDF: no 64-bit offset allowed ' // & 
+                                 'on this machine'
                 CALL message( 'check_open', 'PA0171', 0, 1, 0, 6, 0 )
                 
@@ -1208,5 +1216,6 @@
                                        id_set_pts )
 #else
-                message_string = 'NetCDF: no 64-bit offset allowed on this machine'
+                message_string = 'NetCDF: no 64-bit offset allowed ' // & 
+                                 'on this machine'
                 CALL message( 'check_open', 'PA0171', 0, 1, 0, 6, 0 )
                 
Index: /palm/trunk/SOURCE/cpu_log.f90
===================================================================
--- /palm/trunk/SOURCE/cpu_log.f90	(revision 273)
+++ /palm/trunk/SOURCE/cpu_log.f90	(revision 274)
@@ -82,7 +82,7 @@
     ELSEIF ( modus == 'pause' )  THEN
        IF ( ( mtime - log_event%mtime ) < 0.0  .AND.  first )  THEN
-          WRITE( message_string, * ) 'negative time interval occured', &
-                                     ' &PE',myid,' L=PAUSE "',TRIM(log_event%place),'" new=', &
-                                      mtime,' last=',log_event%mtime
+          WRITE( message_string, * ) 'negative time interval occured',         &
+                      ' &PE',myid,' L=PAUSE "',TRIM(log_event%place),'" new=', &
+                      mtime,' last=',log_event%mtime
           CALL message( 'cpu_log', 'PA0176', 0, 1, -1, 6, 0 )
           first = .FALSE.
@@ -93,7 +93,7 @@
        IF ( ( mtime - log_event%mtime + log_event%isum ) < 0.0  .AND. &
             first )  THEN
-          WRITE( message_string, * ) 'negative time interval occured', &
-                                     ' &PE',myid,' L=STOP "',TRIM(log_event%place),'" new=', &
-                                      mtime,' last=',log_event%mtime,' isum=',log_event%isum
+          WRITE( message_string, * ) 'negative time interval occured',        &
+                      ' &PE',myid,' L=STOP "',TRIM(log_event%place),'" new=', &
+                      mtime,' last=',log_event%mtime,' isum=',log_event%isum
           CALL message( 'cpu_log', 'PA0177', 0, 1, -1, 6, 0 )
           first = .FALSE.
@@ -103,6 +103,6 @@
        log_event%sum      = log_event%sum  + log_event%mtime
        IF ( log_event%sum < 0.0  .AND.  first )  THEN
-          WRITE( message_string, * ) 'negative time interval occured',&
-                                     ' &PE',myid,' L=STOP "',TRIM(log_event%place),'" sum=', &
+          WRITE( message_string, * ) 'negative time interval occured',        &
+                      ' &PE',myid,' L=STOP "',TRIM(log_event%place),'" sum=', &
                                       log_event%sum,' mtime=',log_event%mtime
           CALL message( 'cpu_log', 'PA0178', 0, 1, -1, 6, 0 )
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 273)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 274)
@@ -520,5 +520,6 @@
 
                 IF ( .NOT. found )  THEN
-                   message_string =  'no output provided for: ' // TRIM( do2d(av,if) )
+                   message_string = 'no output provided for: ' //    &
+                                    TRIM( do2d(av,if) )
                    CALL message( 'data_output_2d', 'PA0181', 0, 0, 0, 6, 0 )
                 ENDIF
Index: /palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_3d.f90	(revision 273)
+++ /palm/trunk/SOURCE/data_output_3d.f90	(revision 274)
@@ -313,5 +313,6 @@
 
              IF ( .NOT. found )  THEN
-                message_string =  'no output available for: ' // TRIM( do3d(av,if) )
+                message_string =  'no output available for: ' //   &
+                                  TRIM( do3d(av,if) )
                 CALL message( 'data_output_3d', 'PA0182', 0, 0, 0, 6, 0 )
              ENDIF
Index: /palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 273)
+++ /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 274)
@@ -401,8 +401,9 @@
                       ENDDO            
                    ELSE                    
-                      message_string = 'if humidity/passive_scalar = ' //  & 
-                                       'FALSE output of ' // TRIM( output_variable ) // &
-                                       'is not provided' 
-                      CALL message( 'data_output_dvrp', 'PA0183', 0, 0, 0, 6, 0 )
+                      message_string = 'if humidity/passive_scalar = '    // & 
+                            'FALSE output of ' // TRIM( output_variable ) // &
+                            'is not provided' 
+                      CALL message( 'data_output_dvrp', 'PA0183',&
+                                                                 0, 0, 0, 6, 0 )
                    ENDIF
              
@@ -417,8 +418,9 @@
                       ENDDO
                    ELSE                     
-                         message_string = 'if cloud_physics = FALSE ' // & 
-                                          'output of ' // TRIM( output_variable) // &
-                                          'is not provided' 
-                         CALL message( 'data_output_dvrp', 'PA0184', 0, 0, 0, 6, 0 )
+                      message_string = 'if cloud_physics = FALSE '       // & 
+                                  'output of ' // TRIM( output_variable) // &
+                                  'is not provided' 
+                      CALL message( 'data_output_dvrp', 'PA0184',&
+                                                                 0, 0, 0, 6, 0 )
                    ENDIF
 
Index: /palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_profiles.f90	(revision 273)
+++ /palm/trunk/SOURCE/data_output_profiles.f90	(revision 274)
@@ -289,12 +289,13 @@
                       IF ( cross_normx_factor(k,j) == 0.0  .OR. &
                            cross_normy_factor(k,j) == 0.0 )  THEN
-                         WRITE( message_string, * ) 'data_output_profiles: normalizi', &
-                                                    'ng cross ',j, ' is not possible since one o', &
-                                                    'f the & normalizing factors is zero! & ', &
-                                                    'cross_normx_factor(',k,',',j,') = ', &
-                                                     cross_normx_factor(k,j), &
-                                                    ' & cross_normy_factor(',k,',',j,') = ', &
-                                                     cross_normy_factor(k,j)
-                         CALL message( 'data_output_profiles', 'PA0185', 0, 1, 0, 6, 0 )
+                         WRITE( message_string, * ) 'data_output_profiles: ',  &
+                              'normalizing cross ',j, ' is not possible ',     &
+                              'since one of the & normalizing factors ',       &
+                              'is zero! & cross_normx_factor(',k,',',j,') = ', &
+                                                      cross_normx_factor(k,j), &
+                              ' & cross_normy_factor(',k,',',j,') = ',         &
+                                                      cross_normy_factor(k,j)
+                         CALL message( 'data_output_profiles', 'PA0185',&
+                                                                0, 1, 0, 6, 0 )
                          cross_normx_factor(k,j) = 1.0
                          cross_normy_factor(k,j) = 1.0
@@ -534,12 +535,13 @@
                 IF ( cross_normx_factor(k,j) == 0.0  .OR. &
                      cross_normy_factor(k,j) == 0.0 )  THEN
-                   WRITE( message_string, * ) 'data_output_profiles: normalizi', &
-                                              'ng cross ',j, ' is not possible since one o', &
-                                              'f the & normalizing factors is zero! & ', &
-                                              'cross_normx_factor(',k,',',j,') = ', &
-                                               cross_normx_factor(k,j), &
-                                              ' & cross_normy_factor(',k,',',j,') = ', &
-                                               cross_normy_factor(k,j)
-                    CALL message( 'data_output_profiles', 'PA0185', 0, 1, 0, 6, 0 )
+                   WRITE( message_string, * ) 'data_output_profiles: ',  &
+                              'normalizing cross ',j, ' is not possible ',     &
+                              'since one of the & normalizing factors ',       &
+                              'is zero! & cross_normx_factor(',k,',',j,') = ', &
+                                                      cross_normx_factor(k,j), &
+                              ' & cross_normy_factor(',k,',',j,') = ',         &
+                                                      cross_normy_factor(k,j)
+                         CALL message( 'data_output_profiles', 'PA0185',&
+                                                                0, 1, 0, 6, 0 )
                     cross_normx_factor(k,j) = 1.0
                     cross_normy_factor(k,j) = 1.0
Index: /palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- /palm/trunk/SOURCE/fft_xy.f90	(revision 273)
+++ /palm/trunk/SOURCE/fft_xy.f90	(revision 274)
@@ -361,5 +361,6 @@
 #endif
        ELSE
-          message_string = 'fft method "' // TRIM( fft_method) // '" not available'
+          message_string = 'fft method "' // TRIM( fft_method) // &
+                           '" not available'
           CALL message( 'fft_x', 'PA0189', 1, 2, 0, 6, 0 )
 
@@ -543,5 +544,6 @@
        ELSE
 
-          message_string = 'fft method "' // TRIM( fft_method) // '" not available'
+          message_string = 'fft method "' // TRIM( fft_method) // &
+                           '" not available'
           CALL message( 'fft_y', 'PA0189', 1, 2, 0, 6, 0 )
 
@@ -678,5 +680,6 @@
        ELSE
 
-          message_string = 'fft method "' // TRIM( fft_method) // '" not available'
+          message_string = 'fft method "' // TRIM( fft_method) // &
+                           '" not available'
           CALL message( 'fft_x_m', 'PA0189', 1, 2, 0, 6, 0 )
 
@@ -813,5 +816,6 @@
        ELSE
          
-          message_string = 'fft method "' // TRIM( fft_method) // '" not available'
+          message_string = 'fft method "' // TRIM( fft_method) // &
+                           '" not available'
           CALL message( 'fft_x_m', 'PA0189', 1, 2, 0, 6, 0 )
 
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 273)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 274)
@@ -95,5 +95,6 @@
     IF ( flow_statistics_called )  THEN
 
-       message_string = 'flow_statistics is called two times within one timestep'
+       message_string = 'flow_statistics is called two times within one ' // &
+                        'timestep'
        CALL message( 'flow_statistics', 'PA0190', 1, 2, 0, 6, 0 )
       
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 273)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 274)
@@ -1379,5 +1379,5 @@
     IF ( dots_num > dots_max )  THEN
        WRITE( message_string, * ) 'number of time series quantities exceeds', &
-                                  ' its maximum of dots_max = ', dots_max, &
+                                  ' its maximum of dots_max = ', dots_max,    &
                                   ' &Please increase dots_max in modules.f90.'
        CALL message( 'init_3d_model', 'PA0194', 1, 2, 0, 6, 0 )    
Index: /palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/init_dvrp.f90	(revision 273)
+++ /palm/trunk/SOURCE/init_dvrp.f90	(revision 274)
@@ -145,5 +145,6 @@
     IF ( dvrp_output /= 'ftp'  .AND.  dvrp_output /= 'rtsp'  .AND. &
          dvrp_output /= 'local' )  THEN
-       message_string = 'dvrp_output="' // TRIM( dvrp_output ) // '" not allowed'
+       message_string = 'dvrp_output="' // TRIM( dvrp_output ) // &
+                        '" not allowed'
        CALL message( 'init_dvrp', 'PA0196', 1, 2, 0, 6, 0 )
     ENDIF
@@ -189,5 +190,6 @@
             mode_dvrp(m)(1:9)  /= 'pathlines' )  THEN
 
-          message_string = 'mode_dvrp="' // TRIM( mode_dvrp(m) ) // '" not allowed'
+          message_string = 'mode_dvrp="' // TRIM( mode_dvrp(m) ) // &
+                           '" not allowed'
           CALL message( 'init_dvrp', 'PA0198', 1, 2, 0, 6, 0 )
           CALL local_stop
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 273)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 274)
@@ -367,7 +367,7 @@
           IF ( ( bxl < 1 ) .OR. ( bxr > nx-1 ) .OR. ( bxr < bxl+3 ) .OR.  &
                ( bys < 1 ) .OR. ( byn > ny-1 ) .OR. ( byn < bys+3 ) )  THEN
-             WRITE( message_string, * ) 'inconsistent building parameters:', &
-                                        '& bxl=', bxl, 'bxr=', bxr, 'bys=', bys, &
-                                        'byn=', byn, 'nx=', nx, 'ny=', ny
+             WRITE( message_string, * ) 'inconsistent building parameters:',   &
+                                      '& bxl=', bxl, 'bxr=', bxr, 'bys=', bys, &
+                                      'byn=', byn, 'nx=', nx, 'ny=', ny
              CALL message( 'init_grid', 'PA0203', 1, 2, 0, 6, 0 )
           ENDIF
@@ -417,6 +417,6 @@
                ( ch < 3 ) )  THEN
                 WRITE( message_string, * ) 'inconsistent canyon parameters:', &
-                                           '&cxl=', cxl, 'cxr=', cxr,  &
-                                           'cwx=', cwx,  &
+                                           '&cxl=', cxl, 'cxr=', cxr,         &
+                                           'cwx=', cwx,                       &
                                            'ch=', ch, 'nx=', nx, 'ny=', ny
                 CALL message( 'init_grid', 'PA0205', 1, 2, 0, 6, 0 ) 
@@ -426,13 +426,13 @@
                ( ch < 3 ) )  THEN
                 WRITE( message_string, * ) 'inconsistent canyon parameters:', &
-                                           '&cys=', cys, 'cyn=', cyn,  &
-                                           'cwy=', cwy,  &
+                                           '&cys=', cys, 'cyn=', cyn,         &
+                                           'cwy=', cwy,                       &
                                            'ch=', ch, 'nx=', nx, 'ny=', ny
                 CALL message( 'init_grid', 'PA0206', 1, 2, 0, 6, 0 ) 
              ENDIF
           ENDIF
-          IF ( canyon_width_x /= 9999999.9 .AND. canyon_width_y /= 9999999.9 )  &
+          IF ( canyon_width_x /= 9999999.9 .AND. canyon_width_y /= 9999999.9 ) &
                THEN
-             message_string = 'inconsistent canyon parameters:' // &
+             message_string = 'inconsistent canyon parameters:' //     &  
                               '&street canyon can only be oriented' // &
                               '&either in x- or in y-direction'
@@ -507,8 +507,8 @@
 !--    Consistency checks
        IF ( MINVAL( nzb_local ) < 0  .OR.  MAXVAL( nzb_local ) > nz + 1 )  THEN
-          WRITE( message_string, * ) 'nzb_local values are outside the', &
-                                     'model domain', &
-                                     '&MINVAL( nzb_local ) = ', MINVAL(nzb_local), &
-                                     '&MAXVAL( nzb_local ) = ', MAXVAL(nzb_local)
+          WRITE( message_string, * ) 'nzb_local values are outside the',      &
+                                'model domain',                               &
+                                '&MINVAL( nzb_local ) = ', MINVAL(nzb_local), &
+                                '&MAXVAL( nzb_local ) = ', MAXVAL(nzb_local)
           CALL message( 'init_grid', 'PA0210', 1, 2, 0, 6, 0 )
        ENDIF
Index: /palm/trunk/SOURCE/init_particles.f90
===================================================================
--- /palm/trunk/SOURCE/init_particles.f90	(revision 273)
+++ /palm/trunk/SOURCE/init_particles.f90	(revision 274)
@@ -98,6 +98,6 @@
 !-- Check the number of particle groups.
     IF ( number_of_particle_groups > max_number_of_particle_groups )  THEN
-       WRITE( message_string, * ) 'max_number_of_particle_groups =', &
-                                  max_number_of_particle_groups , &
+       WRITE( message_string, * ) 'max_number_of_particle_groups =',      &
+                                  max_number_of_particle_groups ,         &
                                   '&number_of_particle_groups reset to ', &
                                   max_number_of_particle_groups
@@ -153,8 +153,9 @@
        particle_binary_version = '3.0'
        IF ( TRIM( version_on_file ) /= TRIM( particle_binary_version ) )  THEN
-          message_string = 'version mismatch concerning data from prior run' // &
-                           '&version on file    = "' // TRIM( version_on_file ) // &
-                           '&version in program = "' // &
-                           TRIM( particle_binary_version ) // '"'
+          message_string = 'version mismatch concerning data from prior ' // &
+                           'run &version on file    = "' //                  &
+                                         TRIM( version_on_file ) //          &
+                           '&version in program = "' //                      &
+                                         TRIM( particle_binary_version ) // '"'
           CALL message( 'init_particles', 'PA0214', 1, 2, 0, 6, 0 )
        ENDIF
@@ -269,9 +270,10 @@
                             IF ( n > maximum_number_of_particles )  THEN
                                WRITE( message_string, * ) 'number of initial', &
-                                             'particles (', n, ') exceeds', &
-                                             '&maximum_number_of_particles (', &
-                                             maximum_number_of_particles, ') on PE ', &
+                                      'particles (', n, ') exceeds',           &
+                                      '&maximum_number_of_particles (',        &
+                                      maximum_number_of_particles, ') on PE ', &
                                              myid
-                               CALL message( 'init_particles', 'PA0216', 2, 2, 0, 6, 0 )
+                               CALL message( 'init_particles', 'PA0216', &
+                                                                 2, 2, 0, 6, 0 )
                             ENDIF
                             particles(n)%x             = pos_x
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 273)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 274)
@@ -122,7 +122,7 @@
 !--    must be equal to the number of PEs available to the job
        IF ( ( npex * npey ) /= numprocs )  THEN
-          WRITE( message_string, * ) 'number of PEs of the prescribed topology (', &
-                                     npex*npey,') does not match & the number of ',  & 
-                                     'PEs available to the job (', numprocs, ')'
+          WRITE( message_string, * ) 'number of PEs of the prescribed ',      & 
+                 'topology (', npex*npey,') does not match & the number of ', & 
+                 'PEs available to the job (', numprocs, ')'
           CALL message( 'init_pegrid', 'PA0221', 1, 2, 0, 6, 0 )
        ENDIF
@@ -134,7 +134,7 @@
 !--    If the processor topology is prescribed by the user, the number of
 !--    PEs must be given in both directions
-       message_string = 'if the processor topology is prescribed by the user, ' // &
-                    '& both values of "npex" and "npey" must be given in the ' //    &
-                    '&NAMELIST-parameter file'
+       message_string = 'if the processor topology is prescribed by the, ' //  &
+                   ' user& both values of "npex" and "npey" must be given ' // &
+                   'in the &NAMELIST-parameter file'
        CALL message( 'init_pegrid', 'PA0222', 1, 2, 0, 6, 0 )
 
@@ -235,16 +235,15 @@
 
     IF ( MOD( nxa+1 , pdims(1) ) /= 0 )  THEN
-       WRITE( message_string, * ) 'x-direction: gridpoint number (',nx+1,') is not an',&
-                                  '& integral divisor of the number of proces', &
-                                  'sors (', pdims(1),')'
+       WRITE( message_string, * ) 'x-direction: gridpoint number (',nx+1,') ',&
+                               'is not an& integral divisor of the number ',  &
+                               'processors (', pdims(1),')'
        CALL message( 'init_pegrid', 'PA0225', 1, 2, 0, 6, 0 )
     ELSE
        nnx  = ( nxa + 1 ) / pdims(1)
        IF ( nnx*pdims(1) - ( nx + 1) > nnx )  THEN
-          WRITE( message_string, * ) 'x-direction: nx does not match the', & 
-                                     'requirements given by the number of PEs', &
-                                     '& used',&
-                                     '& please use nx = ', nx - ( pdims(1) - ( nnx*pdims(1) &
-	                               - ( nx + 1 ) ) ), ' instead of nx =', nx
+          WRITE( message_string, * ) 'x-direction: nx does not match the',    & 
+                       'requirements given by the number of PEs &used',       &
+                       '& please use nx = ', nx - ( pdims(1) - ( nnx*pdims(1) &
+	                           - ( nx + 1 ) ) ), ' instead of nx =', nx
           CALL message( 'init_pegrid', 'PA0226', 1, 2, 0, 6, 0 )
        ENDIF
@@ -262,15 +261,14 @@
 !-- Calculate array bounds in y-direction for every PE.
     IF ( MOD( nya+1 , pdims(2) ) /= 0 )  THEN
-       WRITE( message_string, * ) 'y-direction: gridpoint number (',ny+1,') is not an', &
-                                  '& integral divisor of the number of proces', &
-                                  'sors (', pdims(2),')'
+       WRITE( message_string, * ) 'y-direction: gridpoint number (',ny+1,') ', &
+                           'is not an& integral divisor of the number of',     &
+                           'processors (', pdims(2),')'
        CALL message( 'init_pegrid', 'PA0227', 1, 2, 0, 6, 0 )
     ELSE
        nny  = ( nya + 1 ) / pdims(2)
        IF ( nny*pdims(2) - ( ny + 1) > nny )  THEN
-          WRITE( message_string, * ) 'y-direction: ny does not match the',&
-                                     'requirements given by the number of PEs', &
-                                     '& used', &
-                                     '& please use ny = ', ny - ( pdims(2) - ( nnx*pdims(2) &
+          WRITE( message_string, * ) 'y-direction: ny does not match the',    &
+                       'requirements given by the number of PEs &used ',      &
+                       '& please use ny = ', ny - ( pdims(2) - ( nnx*pdims(2) &
                                      - ( ny + 1 ) ) ), ' instead of ny =', ny
           CALL message( 'init_pegrid', 'PA0228', 1, 2, 0, 6, 0 )
@@ -324,7 +322,7 @@
        nny_x  = nny
        IF ( MOD( nza , pdims(1) ) /= 0 )  THEN
-          WRITE( message_string, * ) 'transposition z --> x:', &
-                                     '&nz=',nz,' is not an integral divisior of pdims(1)=', &
-                                     pdims(1)
+          WRITE( message_string, * ) 'transposition z --> x:',                &
+                       '&nz=',nz,' is not an integral divisior of pdims(1)=', &
+                                                                   pdims(1)
           CALL message( 'init_pegrid', 'PA0230', 1, 2, 0, 6, 0 )
        ENDIF
@@ -356,7 +354,7 @@
     nzt_y  = nzt_x
     IF ( MOD( nxa+1 , pdims(2) ) /= 0 )  THEN
-       WRITE( message_string, * ) 'transposition x --> y:', &
-                                  '&nx+1=',nx+1,' is not an integral divisor of ',&
-                                  'pdims(2)=',pdims(2)
+       WRITE( message_string, * ) 'transposition x --> y:',                &
+                         '&nx+1=',nx+1,' is not an integral divisor of ',&
+                         'pdims(2)=',pdims(2)
        CALL message( 'init_pegrid', 'PA0231', 1, 2, 0, 6, 0 )
     ENDIF
@@ -382,7 +380,7 @@
        nxr_z  = nxr_y
        IF ( MOD( nya+1 , pdims(1) ) /= 0 )  THEN
-          WRITE( message_string, * ) 'transposition y --> z:', &
-                                     '& ny+1=',ny+1,' is not an integral divisor of ',&
-                                     'pdims(1)=',pdims(1)
+          WRITE( message_string, * ) 'transposition y --> z:',            &
+                            '& ny+1=',ny+1,' is not an integral divisor of ',&
+                            'pdims(1)=',pdims(1)
           CALL message( 'init_pegrid', 'PA0232', 1, 2, 0, 6, 0 )
        ENDIF
@@ -398,7 +396,7 @@
 !--    x --> y. This condition must be fulfilled for a 1D-decomposition along x
        IF ( MOD( nya+1 , pdims(1) ) /= 0 )  THEN
-          WRITE( message_string, * ) 'transposition x --> y:', &
-                                     '& ny+1=',ny+1,' is not an integral divisor of ',&
-                                     'pdims(1)=',pdims(1)
+          WRITE( message_string, * ) 'transposition x --> y:',               &
+                            '& ny+1=',ny+1,' is not an integral divisor of ',&
+                            'pdims(1)=',pdims(1)
           CALL message( 'init_pegrid', 'PA0233', 1, 2, 0, 6, 0 )
        ENDIF
@@ -410,7 +408,7 @@
     IF ( dt_dosp /= 9999999.9 )  THEN
        IF ( MOD( nza, pdims(2) ) /= 0 )  THEN
-          WRITE( message_string, * ) 'direct transposition z --> y (needed for spectra):', &
-                                     '& nz=',nz,' is not an integral divisor of ',&
-                                     'pdims(2)=',pdims(2)
+          WRITE( message_string, * ) 'direct transposition z --> y (needed ', &
+                    'for spectra):& nz=',nz,' is not an integral divisor of ',&
+                    'pdims(2)=',pdims(2)
           CALL message( 'init_pegrid', 'PA0234', 1, 2, 0, 6, 0 )
        ELSE
Index: /palm/trunk/SOURCE/netcdf.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf.f90	(revision 273)
+++ /palm/trunk/SOURCE/netcdf.f90	(revision 274)
@@ -110,6 +110,6 @@
           j = INDEX( netcdf_precision(i), '_' )
           IF ( j == 0 )  THEN
-             WRITE ( message_string, * ) 'netcdf_precision must contain a "_"', &    
-                                         'netcdf_precision(', i, ')="',         &
+             WRITE ( message_string, * ) 'netcdf_precision must contain a ', &
+                                         '"_"netcdf_precision(', i, ')="',   &
                                          TRIM( netcdf_precision(i) ),'"'
              CALL message( 'define_netcdf_header', 'PA0241', 1, 2, 0, 6, 0 )
@@ -153,8 +153,8 @@
 
              CASE DEFAULT
-                WRITE ( message_string, * ) 'unknown variable in inipar assignment:',& 
-                                            'netcdf_precision(', i, ')="',           &
+                WRITE ( message_string, * ) 'unknown variable in inipar ',    & 
+                                  'assignment: netcdf_precision(', i, ')="',  &
                                             TRIM( netcdf_precision(i) ),'"'
-                CALL message( 'define_netcdf_header', 'PA0243', 1, 2, 0, 6, 0 )             
+                CALL message( 'define_netcdf_header', 'PA0243', 1, 2, 0, 6, 0 ) 
 
           END SELECT
@@ -418,5 +418,5 @@
                 WRITE ( message_string, * ) 'no grid defined for', &
                                             ' variable ', TRIM( do3d(av,i) )
-                CALL message( 'define_netcdf_header', 'PA0244', 0, 1, 0, 6, 0 )  
+                CALL message( 'define_netcdf_header', 'PA0244', 0, 1, 0, 6, 0 )
              ENDIF
 
@@ -950,5 +950,6 @@
                       WRITE ( message_string, * ) 'no grid defined for', &
                                             ' variable ', TRIM( do2d(av,i) )
-                      CALL message( 'define_netcdf_header', 'PA0244', 0, 1, 0, 6, 0 )
+                      CALL message( 'define_netcdf_header', 'PA0244',&
+                                                                0, 1, 0, 6, 0 )
                    ENDIF
 
@@ -1189,11 +1190,12 @@
              IF ( section(i,1) /= -1 )  THEN
                 IF ( zu(section(i,1)) /= netcdf_data(i) )  THEN
-                   message_string = 'NetCDF file for cross-sections ' //          &
-                                    TRIM( var ) // ' from previuos run found,' // &
-                                    '&but this file cannot be extended' //        &
-                                    ' due to mismatch in cross' //                &
-                                    '&section levels.' //                         &
-                                    '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
+                   message_string = 'NetCDF file for cross-sections ' //     &
+                               TRIM( var ) // ' from previuos run found,' // &
+                               '&but this file cannot be extended' //        &
+                               ' due to mismatch in cross' //                &
+                               '&section levels.' //                         &
+                               '&New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251', &
+                                                                 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -1201,11 +1203,12 @@
              ELSE
                 IF ( -1.0 /= netcdf_data(i) )  THEN
-                   message_string = 'NetCDF file for cross-sections ' //          &
-                                    TRIM( var ) // ' from previuos run found,' // &
-                                    '&but this file cannot be extended' //        &
-                                    ' due to mismatch in cross' //                &
-                                    '&section levels.' //                         &
-                                    '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
+                   message_string = 'NetCDF file for cross-sections ' //     &
+                               TRIM( var ) // ' from previuos run found,' // &
+                               '&but this file cannot be extended' //        &
+                               ' due to mismatch in cross' //                &
+                               '&section levels.' //                         &
+                               '&New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251',&
+                                                                 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -1501,5 +1504,6 @@
                    WRITE ( message_string, * ) 'no grid defined for', &
                                             ' variable ', TRIM( do2d(av,i) )
-                   CALL message( 'define_netcdf_header', 'PA0244', 0, 1, 0, 6, 0 )  
+                   CALL message( 'define_netcdf_header', 'PA0244',&
+                                                                 0, 1, 0, 6, 0 )
                 ENDIF
 
@@ -1708,11 +1712,12 @@
              IF ( section(i,2) /= -1 )  THEN
                 IF ( ( section(i,2) * dy ) /= netcdf_data(i) )  THEN
-                   message_string = 'NetCDF file for cross-sections ' //          &
-                                    TRIM( var ) // ' from previuos run found,' // &
-                                    '&but this file cannot be extended' //        &
-                                    ' due to mismatch in cross' //                &
-                                    '&section levels.' //                         &
-                                    '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
+                   message_string = 'NetCDF file for cross-sections ' //     &
+                               TRIM( var ) // ' from previuos run found,' // &
+                               '&but this file cannot be extended' //        &
+                               ' due to mismatch in cross' //                &
+                               '&section levels.' //                         &
+                                '&New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251', &
+                                                                 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -1720,11 +1725,12 @@
              ELSE
                 IF ( -1.0 /= netcdf_data(i) )  THEN
-                   message_string = 'NetCDF file for cross-sections ' //          &
-                                    TRIM( var ) // ' from previuos run found,' // &
-                                    '&but this file cannot be extended' //        &
-                                    ' due to mismatch in cross' //                &
-                                    '&section levels.' //                         &               
-                                    '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
+                   message_string = 'NetCDF file for cross-sections ' //     &
+                               TRIM( var ) // ' from previuos run found,' // &
+                               '&but this file cannot be extended' //        &
+                               ' due to mismatch in cross' //                &
+                               '&section levels.' //                         &
+                               '&New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251', &
+                                                                 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -2020,5 +2026,6 @@
                    WRITE ( message_string, * ) 'no grid defined for', &
                                             ' variable ', TRIM( do2d(av,i) )
-                   CALL message( 'define_netcdf_header', 'PA0244', 0, 1, 0, 6, 0 )  
+                   CALL message( 'define_netcdf_header', 'PA0244',&
+                                                                 0, 1, 0, 6, 0 )
                 ENDIF
 
@@ -2225,11 +2232,12 @@
              IF ( section(i,3) /= -1 )  THEN
                 IF ( ( section(i,3) * dx ) /= netcdf_data(i) )  THEN
-                   message_string = 'NetCDF file for cross-sections ' //          &
-                                    TRIM( var ) // ' from previuos run found,' // &
-                                    '&but this file cannot be extended' //        &
-                                    ' due to mismatch in cross' //                &
-                                    '&section levels.' //                         &
-                                    '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
+                   message_string = 'NetCDF file for cross-sections ' //    &
+                              TRIM( var ) // ' from previuos run found,' // &
+                              '&but this file cannot be extended' //        &
+                              ' due to mismatch in cross' //                &
+                              '&section levels.' //                         &
+                             '&New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251', &
+                                                                 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -2237,11 +2245,12 @@
              ELSE
                 IF ( -1.0 /= netcdf_data(i) )  THEN
-                   message_string = 'NetCDF file for cross-sections ' //          &
-                                    TRIM( var ) // ' from previuos run found,' // &
-                                    '&but this file cannot be extended' //        &
-                                    ' due to mismatch in cross' //                &
-                                    '&section levels.' //                         &
-                                    '&New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
+                   message_string = 'NetCDF file for cross-sections ' //    &
+                              TRIM( var ) // ' from previuos run found,' // &
+                              '&but this file cannot be extended' //        &
+                              ' due to mismatch in cross' //                &
+                              '&section levels.' //                         &
+                              '&New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251', &
+                                                                 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -3216,5 +3225,5 @@
           IF ( averaging_interval_sp /= 0.0 )  THEN
              WRITE (time_average_text,'('', '',F7.1,'' s average'')') &
-                                                            averaging_interval_sp
+                                                           averaging_interval_sp
              nc_stat = NF90_PUT_ATT( id_set_sp, NF90_GLOBAL, 'title',  &
                                      TRIM( run_description_header ) // &
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 273)
+++ /palm/trunk/SOURCE/parin.f90	(revision 274)
@@ -179,5 +179,6 @@
     READ ( 11, inipar, ERR=10, END=11 )
     GOTO 12
- 10 message_string = 'errors in \$inipar &or no \$inipar-namelist found (CRAY-machines only)'
+ 10 message_string = 'errors in \$inipar &or no \$inipar-namelist ' // &
+                     'found (CRAY-machines only)'
     CALL message( 'parin', 'PA0271', 1, 2, 0, 6, 0 )
 
@@ -229,13 +230,16 @@
 
        IF ( nx <= 0 )  THEN
-          WRITE( message_string, * ) 'no value or wrong value given for nx: nx=', nx
+          WRITE( message_string, * ) 'no value or wrong value given for nx: ',&
+                                     'nx=', nx
           CALL message( 'parin', 'PA0273', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( ny <= 0 )  THEN
-          WRITE( message_string, * ) 'no value or wrong value given for ny: ny=', ny
+          WRITE( message_string, * ) 'no value or wrong value given for ny: ',&
+                                     'ny=', ny
           CALL message( 'parin', 'PA0274', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( nz <= 0 )  THEN
-          WRITE( message_string, * ) 'no value or wrong value given for nz: nz=', nz
+          WRITE( message_string, * ) 'no value or wrong value given for nz: ',&
+                                     'nz=', nz
           CALL message( 'parin', 'PA0275', 1, 2, 0, 6, 0 )
        ENDIF
Index: /palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- /palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 273)
+++ /palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 274)
@@ -187,5 +187,5 @@
                                               'tasks_per_logical_node = ',  &
                                               tasks_per_logical_node
-                   CALL message( 'poisfft_hybrid_ini', 'PA0281', 0, 0, 0, 6, 0 ) 
+                   CALL message( 'poisfft_hybrid_ini', 'PA0281', 0, 0, 0, 6, 0 )
 
                 ENDIF
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 273)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 274)
@@ -204,7 +204,7 @@
     IF ( files_to_be_opened /= 1  .OR.  numprocs /= numprocs_previous_run ) &
     THEN
-       WRITE( message_string, * ) 'number of PEs or virtual PE-grid changed in ',     &
-                                  'restart run&  PE', myid, ' will read from files ', &
-                                  file_list(1:files_to_be_opened)
+       WRITE( message_string, * ) 'number of PEs or virtual PE-grid changed ', &
+                        'in restart run&  PE', myid, ' will read from files ', &
+                         file_list(1:files_to_be_opened)
        CALL message( 'read_3d_binary', 'PA0285', 0, 0, 0, 6, 0 )
     ENDIF
@@ -237,8 +237,8 @@
        binary_version = '3.1'
        IF ( TRIM( version_on_file ) /= TRIM( binary_version ) )  THEN
-          WRITE( message_string, * ) 'version mismatch concerning data ',                    &
-                                     'from prior run',                                       &
-                                     '&version on file    = "', TRIM( version_on_file ), '"',&
-                                     '&version in program = "', TRIM( binary_version ), '"'
+          WRITE( message_string, * ) 'version mismatch concerning data ',      &
+                      'from prior run',                                        &
+                      '&version on file    = "', TRIM( version_on_file ), '"', &
+                      '&version in program = "', TRIM( binary_version ), '"'
           CALL message( 'read_3d_binary', 'PA0286', 1, 2, 0, 6, 0 )
        ENDIF
@@ -251,18 +251,18 @@
 
        IF ( nxl_on_file /= hor_index_bounds_previous_run(1,j) )  THEN
-          WRITE( message_string, * ) 'problem with index bound nxl on ',          &
-                                     'restart file "', myid_char, '"',            &
-                                     '&nxl = ', nxl_on_file, ' but it should be', &
-                                     '&= ', hor_index_bounds_previous_run(1,j),   &
-                                     '&from the index bound information array'
+          WRITE( message_string, * ) 'problem with index bound nxl on ',  &
+                            'restart file "', myid_char, '"',             &
+                            '&nxl = ', nxl_on_file, ' but it should be',  &
+                            '&= ', hor_index_bounds_previous_run(1,j),    &
+                            '&from the index bound information array'
           CALL message( 'read_3d_binary', 'PA0287', 2, 2, 0, 6, 0 )
        ENDIF
 
        IF ( nxr_on_file /= hor_index_bounds_previous_run(2,j) )  THEN
-           WRITE( message_string, * ) 'problem with index bound nxr on ',          &
-                                      'restart file "', myid_char, '"'  ,          &
-                                      '&nxr = ', nxr_on_file, ' but it should be', &
-                                      '&= ', hor_index_bounds_previous_run(2,j),   &
-                                      '&from the index bound information array' 
+           WRITE( message_string, * ) 'problem with index bound nxr on ',   &
+                               'restart file "', myid_char, '"'  ,          &
+                               '&nxr = ', nxr_on_file, ' but it should be', &
+                               '&= ', hor_index_bounds_previous_run(2,j),   &
+                               '&from the index bound information array' 
           CALL message( 'read_3d_binary', 'PA0288', 2, 2, 0, 6, 0 )
 
@@ -270,8 +270,8 @@
 
        IF ( nys_on_file /= hor_index_bounds_previous_run(3,j) )  THEN
-          WRITE( message_string, * ) 'problem with index bound nys on ',          &
-                                     'restart file "', myid_char, '"',            &
-                                     '&nys = ', nys_on_file, ' but it should be', &
-                                     '&= ', hor_index_bounds_previous_run(3,j),   &
+          WRITE( message_string, * ) 'problem with index bound nys on ',      &
+                                 'restart file "', myid_char, '"',            &
+                                 '&nys = ', nys_on_file, ' but it should be', &
+                                 '&= ', hor_index_bounds_previous_run(3,j),   &
                                      '&from the index bound information array'
           CALL message( 'read_3d_binary', 'PA0289', 2, 2, 0, 6, 0 ) 
@@ -279,9 +279,9 @@
 
        IF ( nyn_on_file /= hor_index_bounds_previous_run(4,j) )  THEN
-          WRITE( message_string, * ) 'problem with index bound nyn on ',          &
-                                     'restart file "', myid_char, '"',            &
-                                     '&nyn = ', nyn_on_file, ' but it should be', &
-                                     '&= ', hor_index_bounds_previous_run(4,j),   &
-                                     '&from the index bound information array'
+          WRITE( message_string, * ) 'problem with index bound nyn on ',    &
+                               'restart file "', myid_char, '"',            &
+                               '&nyn = ', nyn_on_file, ' but it should be', &
+                               '&= ', hor_index_bounds_previous_run(4,j),   &
+                               '&from the index bound information array'
           CALL message( 'read_3d_binary', 'PA0290', 2, 2, 0, 6, 0 ) 
        ENDIF
@@ -614,9 +614,10 @@
                    IF ( k == 1 )  THEN
                       IF ( nx_on_file /= nx )  THEN
-                         message_string = 'read_3d_binary: spectrum_x ' //         &
-                                          'on restart file ignored because' //     &
-                                          '&total numbers of grid points (nx) ' // &
-                                          'do not match'
-                         CALL message( 'read_3d_binary', 'PA0293', 0, 1, 0, 6, 0 )  
+                         message_string = 'read_3d_binary: spectrum_x ' // &
+                                     'on restart file ignored because' // &
+                                     '&total numbers of grid points (nx) ' // &
+                                     'do not match'
+                         CALL message( 'read_3d_binary', 'PA0293',&
+                                                                 0, 1, 0, 6, 0 )
                          READ ( 13 )  rdummy
                       ELSE
@@ -628,10 +629,11 @@
                    IF ( k == 1 )  THEN
                       IF ( ny_on_file /= ny )  THEN
-                         message_string = 'read_3d_binary: spectrum_y ' //        &
-                                          'on restart file ignored because' //    &
-                                          '&total numbers of grid points (ny) '// &
-                                          'do not match'
-                         CALL message( 'read_3d_binary', 'PA0294', 0, 1, 0, 6, 0 )  
-                         READ ( 13 )  rdummy
+                         message_string = 'read_3d_binary: spectrum_y ' //   &
+                                     'on restart file ignored because' //    &
+                                     '&total numbers of grid points (ny) '// &
+                                     'do not match'
+                         CALL message( 'read_3d_binary', 'PA0294', &
+                                                                 0, 1, 0, 6, 0 )
+                      READ ( 13 )  rdummy
                       ELSE
                          READ ( 13 )  spectrum_y
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 273)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 274)
@@ -99,6 +99,6 @@
     READ ( 13 )  variable_chr
     IF ( TRIM( variable_chr ) /= 'numprocs' )  THEN
-       WRITE( message_string, * ) 'numprocs not found in data from prior run ', &
-                                  'on PE ', myid
+       WRITE( message_string, * ) 'numprocs not found in data from prior ', &
+                                  'run on PE ', myid
        CALL message( 'read_var_list', 'PA0297', 1, 2, 0, 6, 0 )
     ENDIF
@@ -633,6 +633,6 @@
     READ ( 13 )  variable_chr
     IF ( TRIM( variable_chr ) /= 'numprocs' )  THEN
-       WRITE( message_string, * ) 'numprocs not found in data from prior run ', &
-                                  'on PE ', myid
+       WRITE( message_string, * ) 'numprocs not found in data from prior ', &
+                                  'run on PE ', myid
        CALL message( 'read_parts_of_var_list', 'PA0297', 1, 2, 0, 6, 0 )
     ENDIF
@@ -663,7 +663,7 @@
     IF ( nz_on_file /= nz )  THEN
        WRITE( message_string, * ) 'mismatch concerning number of ',      &
-                                 'gridpoints along z',                  &
-                                 '&nz on file    = "', nz_on_file, '"', &
-                                 '&nz from run   = "', nz, '"'
+                                  'gridpoints along z',                  &
+                                  '&nz on file    = "', nz_on_file, '"', &
+                                  '&nz from run   = "', nz, '"'
        CALL message( 'read_parts_of_var_list', 'PA0304', 1, 2, 0, 6, 0 )
     ENDIF
@@ -676,9 +676,9 @@
     READ ( 13 )  max_pr_user_on_file
     IF ( max_pr_user_on_file /= max_pr_user )  THEN
-       WRITE( message_string, * ) 'number of user profiles on res', &
-                                  'tart data file differs from the current run', &
-                                  '&max_pr_user on file    = "', &
-                                  max_pr_user_on_file, '"', &
-                                  '&max_pr_user from run   = "', &
+       WRITE( message_string, * ) 'number of user profiles on res',           &
+                                  'tart data file differs from the current ', &
+                                  'run&max_pr_user on file    = "',           &
+                                  max_pr_user_on_file, '"',                   &
+                                  '&max_pr_user from run   = "',              &
                                   max_pr_user, '"'
        CALL message( 'read_parts_of_var_list', 'PA0306', 0, 0, 0, 6, 0 )
@@ -695,10 +695,10 @@
     READ ( 13 )  statistic_regions_on_file
     IF ( statistic_regions_on_file /= statistic_regions )  THEN
-       WRITE( message_string, * ) 'statistic regions on restart data file differ ',& 
-                                  'from the current run',&
-                                  '&statistic regions on file    = "', &
-                                  statistic_regions_on_file, '"', &
-                                  '&statistic regions from run   = "', &
-                                   statistic_regions, '"', &
+       WRITE( message_string, * ) 'statistic regions on restart data file ',& 
+                                  'differ from the current run',            &
+                                  '&statistic regions on file    = "',      &
+                                  statistic_regions_on_file, '"',           &
+                                  '&statistic regions from run   = "',      &
+                                   statistic_regions, '"',                  &
                                   '&statistic data may be lost!'
        CALL message( 'read_parts_of_var_list', 'PA0308', 0, 1, 0, 6, 0 )
@@ -725,8 +725,9 @@
              READ ( 13 )  average_count_pr
              IF ( average_count_pr /= 0 )  THEN
-                WRITE( message_string, * ) 'inflow profiles not temporally averaged.',&
-                                           '&Averaging will be done now using ',      &
-                                           average_count_pr, ' samples.'
-                CALL message( 'read_parts_of_var_list', 'PA0309', 0, 1, 0, 6, 0 )
+                WRITE( message_string, * ) 'inflow profiles not temporally ',  &
+                               'averaged. &Averaging will be done now using ', &
+                               average_count_pr, ' samples.'
+                CALL message( 'read_parts_of_var_list', 'PA0309', &
+                                                                 0, 1, 0, 6, 0 )
              ENDIF
 
Index: /palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- /palm/trunk/SOURCE/surface_coupler.f90	(revision 273)
+++ /palm/trunk/SOURCE/surface_coupler.f90	(revision 274)
@@ -53,11 +53,12 @@
                        0, comm_inter, status, ierr )
     IF ( terminate_coupled_remote > 0 )  THEN
-       WRITE( message_string, * ) 'remote model "', TRIM( coupling_mode_remote ), &
-                                  '" terminated',                                 &
-                                  '&with terminate_coupled_remote = ',            &
-                                  terminate_coupled_remote,                       &
-                                  '&local model  "', TRIM( coupling_mode ),       &
-                                  '" has',                                        &
-                                  '&terminate_coupled = ',                        &
+       WRITE( message_string, * ) 'remote model "',                         &
+                                  TRIM( coupling_mode_remote ),             &
+                                  '" terminated',                           &
+                                  '&with terminate_coupled_remote = ',      &
+                                  terminate_coupled_remote,                 &
+                                  '&local model  "', TRIM( coupling_mode ), &
+                                  '" has',                                  &
+                                  '&terminate_coupled = ',                  &
                                   terminate_coupled
        CALL message( 'surface_coupler', 'PA0310', 1, 2, 0, 6, 0 )
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 273)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 274)
@@ -202,17 +202,17 @@
           stop_dt = .TRUE.
 
-          WRITE( message_string, * ) 'Time step has reached minimum limit.',        &
-                             '&dt      = ', dt_3d, ' s  Simulation is terminated.', &
-                             '&old_dt  = ', old_dt, ' s',                           &
-                             '&dt_u    = ', dt_u, ' s',                             &
-                             '&dt_v    = ', dt_v, ' s',                             &
-                             '&dt_w    = ', dt_w, ' s',                             &
-                             '&dt_diff = ', dt_diff, ' s',                          &
-                             '&u_max   = ', u_max, ' m/s   k=', u_max_ijk(1),       &
-                             '  j=', u_max_ijk(2), '  i=', u_max_ijk(3),            &
-                             '&v_max   = ', v_max, ' m/s   k=', v_max_ijk(1),       &
-                             '  j=', v_max_ijk(2), '  i=', v_max_ijk(3),            &
-                             '&w_max   = ', w_max, ' m/s   k=', w_max_ijk(1),       &
-                             '  j=', w_max_ijk(2), '  i=', w_max_ijk(3)
+          WRITE( message_string, * ) 'Time step has reached minimum limit.',   &
+                        '&dt      = ', dt_3d, ' s  Simulation is terminated.', &
+                        '&old_dt  = ', old_dt, ' s',                           &
+                        '&dt_u    = ', dt_u, ' s',                             &
+                        '&dt_v    = ', dt_v, ' s',                             &
+                        '&dt_w    = ', dt_w, ' s',                             &
+                        '&dt_diff = ', dt_diff, ' s',                          &
+                        '&u_max   = ', u_max, ' m/s   k=', u_max_ijk(1),       &
+                        '  j=', u_max_ijk(2), '  i=', u_max_ijk(3),            &
+                        '&v_max   = ', v_max, ' m/s   k=', v_max_ijk(1),       &
+                        '  j=', v_max_ijk(2), '  i=', v_max_ijk(3),            &
+                        '&w_max   = ', w_max, ' m/s   k=', w_max_ijk(1),       &
+                        '  j=', w_max_ijk(2), '  i=', w_max_ijk(3)
           CALL message( 'timestep', 'PA0312', 0, 1, 0, 6, 0 )
 !
Index: /palm/trunk/SOURCE/user_init_plant_canopy.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 273)
+++ /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 274)
@@ -60,5 +60,6 @@
 !--       After definition, please
 !--       remove the following three lines!
-          message_string = 'canopy_mode "' // canopy_mode // '" not available yet'
+          message_string = 'canopy_mode "' // canopy_mode // &
+                           '" not available yet'
           CALL message( 'user_init_plant_canopy', 'UI0007', 0, 1, 0, 6, 0 )
           
@@ -66,5 +67,5 @@
 !
 !--       The DEFAULT case is reached if the parameter canopy_mode contains a
-!--       wrong character string that is neither recognized in init_3d_model nor 
+!--       wrong character string that is neither recognized in init_3d_model nor
 !--       here in user_init_plant_canopy.
           message_string = 'unknown canopy_mode "' // canopy_mode // '"'
Index: /palm/trunk/SOURCE/user_parin.f90
===================================================================
--- /palm/trunk/SOURCE/user_parin.f90	(revision 273)
+++ /palm/trunk/SOURCE/user_parin.f90	(revision 274)
@@ -75,8 +75,8 @@
     IF ( TRIM( initializing_actions ) == 'read_restart_data' )  THEN
        IF ( max_pr_user /= max_pr_user_tmp )  THEN
-          WRITE( message_string, * ) 'the number of user-defined profiles given in ', &
-                                     '&data_output_pr (', max_pr_user_tmp, ') doe',    &
-                                     'snot match the one ',                           &
-                                     '&found in the restart file (', max_pr_user,     &
+          WRITE( message_string, * ) 'the number of user-defined profiles ', &
+                     'given in &data_output_pr (', max_pr_user_tmp, ') doe', &
+                     'snot match the one ',                                  &
+                     '&found in the restart file (', max_pr_user,            &
                                      ')'
           CALL message( 'user_parin', 'UI0009', 1, 2, 0, 6, 0 )
Index: /palm/trunk/SOURCE/user_read_restart_data.f90
===================================================================
--- /palm/trunk/SOURCE/user_read_restart_data.f90	(revision 273)
+++ /palm/trunk/SOURCE/user_read_restart_data.f90	(revision 274)
@@ -82,7 +82,7 @@
 !
 !                CASE DEFAULT
-!                   WRITE( message_string, * ) 'unknown variable named "',        &
-!                                               TRIM( field_char ), '" found in', &
-!                                              '&data from prior run on PE ', myid
+!                   WRITE( message_string, * ) 'unknown variable named "',  &
+!                                         TRIM( field_char ), '" found in', &
+!                                         '&data from prior run on PE ', myid
 !                   CALL message( 'user_spectra', 'UI0012', 1, 2, 0, 6, 0 )
 !
Index: /palm/trunk/SOURCE/user_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/user_spectra.f90	(revision 273)
+++ /palm/trunk/SOURCE/user_spectra.f90	(revision 274)
@@ -54,5 +54,5 @@
           CASE DEFAULT
              message_string = 'Spectra of ' // &
-                              TRIM( data_output_sp(m) ) // ' can not be calculated'
+                         TRIM( data_output_sp(m) ) // ' can not be calculated'
              CALL message( 'user_spectra', 'UI0010', 0, 0, 0, 6, 0 )
             
